/*
Copyright Kumori.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by lister-gen. DO NOT EDIT.

package v1

// KukuCNListerExpansion allows custom methods to be added to
// KukuCNLister.
type KukuCNListerExpansion interface{}

// KukuCNNamespaceListerExpansion allows custom methods to be added to
// KukuCNNamespaceLister.
type KukuCNNamespaceListerExpansion interface{}

// KukuCertListerExpansion allows custom methods to be added to
// KukuCertLister.
type KukuCertListerExpansion interface{}

// KukuCertNamespaceListerExpansion allows custom methods to be added to
// KukuCertNamespaceLister.
type KukuCertNamespaceListerExpansion interface{}

// KukuComponentListerExpansion allows custom methods to be added to
// KukuComponentLister.
type KukuComponentListerExpansion interface{}

// KukuComponentNamespaceListerExpansion allows custom methods to be added to
// KukuComponentNamespaceLister.
type KukuComponentNamespaceListerExpansion interface{}

// KukuDeploymentListerExpansion allows custom methods to be added to
// KukuDeploymentLister.
type KukuDeploymentListerExpansion interface{}

// KukuDeploymentNamespaceListerExpansion allows custom methods to be added to
// KukuDeploymentNamespaceLister.
type KukuDeploymentNamespaceListerExpansion interface{}

// KukuHttpInboundListerExpansion allows custom methods to be added to
// KukuHttpInboundLister.
type KukuHttpInboundListerExpansion interface{}

// KukuHttpInboundNamespaceListerExpansion allows custom methods to be added to
// KukuHttpInboundNamespaceLister.
type KukuHttpInboundNamespaceListerExpansion interface{}

// KukuLinkListerExpansion allows custom methods to be added to
// KukuLinkLister.
type KukuLinkListerExpansion interface{}

// KukuLinkNamespaceListerExpansion allows custom methods to be added to
// KukuLinkNamespaceLister.
type KukuLinkNamespaceListerExpansion interface{}

// KukuPersistentVolumeListerExpansion allows custom methods to be added to
// KukuPersistentVolumeLister.
type KukuPersistentVolumeListerExpansion interface{}

// KukuPersistentVolumeNamespaceListerExpansion allows custom methods to be added to
// KukuPersistentVolumeNamespaceLister.
type KukuPersistentVolumeNamespaceListerExpansion interface{}

// KukuServiceListerExpansion allows custom methods to be added to
// KukuServiceLister.
type KukuServiceListerExpansion interface{}

// KukuServiceNamespaceListerExpansion allows custom methods to be added to
// KukuServiceNamespaceLister.
type KukuServiceNamespaceListerExpansion interface{}

// KukuVHostListerExpansion allows custom methods to be added to
// KukuVHostLister.
type KukuVHostListerExpansion interface{}

// KukuVHostNamespaceListerExpansion allows custom methods to be added to
// KukuVHostNamespaceLister.
type KukuVHostNamespaceListerExpansion interface{}

// V3DeploymentListerExpansion allows custom methods to be added to
// V3DeploymentLister.
type V3DeploymentListerExpansion interface{}

// V3DeploymentNamespaceListerExpansion allows custom methods to be added to
// V3DeploymentNamespaceLister.
type V3DeploymentNamespaceListerExpansion interface{}
